diff --git a/samples/client/petstore/objc/core-data/SwaggerClientTests/SwaggerClient.xcodeproj/project.pbxproj b/samples/client/petstore/objc/core-data/SwaggerClientTests/SwaggerClient.xcodeproj/project.pbxproj
index 7ee3eb8862d8..c03af9eba39c 100644
--- a/samples/client/petstore/objc/core-data/SwaggerClientTests/SwaggerClient.xcodeproj/project.pbxproj
+++ b/samples/client/petstore/objc/core-data/SwaggerClientTests/SwaggerClient.xcodeproj/project.pbxproj
@@ -362,7 +362,7 @@
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
- shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [[ $? != 0 ]] ; then\n cat << EOM\nerror: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\nEOM\n exit 1\nfi\n";
+ shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
showEnvVarsInLog = 0;
};
7B069562A9F91E498732474F /* [CP] Check Pods Manifest.lock */ = {
@@ -377,7 +377,7 @@
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
- shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [[ $? != 0 ]] ; then\n cat << EOM\nerror: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\nEOM\n exit 1\nfi\n";
+ shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
showEnvVarsInLog = 0;
};
AA7CAD658C61D6EBA222B5F8 /* Embed Pods Frameworks */ = {
diff --git a/samples/client/petstore/objc/core-data/SwaggerClientTests/pom.xml b/samples/client/petstore/objc/core-data/SwaggerClientTests/pom.xml
index 808eacd00604..d5cbe4b51d0d 100644
--- a/samples/client/petstore/objc/core-data/SwaggerClientTests/pom.xml
+++ b/samples/client/petstore/objc/core-data/SwaggerClientTests/pom.xml
@@ -26,19 +26,6 @@
exec-maven-plugin
1.2.1
-
- install-pods
- pre-integration-test
-
- exec
-
-
- pod
-
- install
-
-
-
xcodebuild-test
integration-test
@@ -46,16 +33,7 @@
exec
- xcodebuild
-
- -workspace
- SwaggerClient.xcworkspace
- -scheme
- SwaggerClient-Example
- test
- -destination
- platform=iOS Simulator,name=iPhone 6,OS=8.3
-
+ ./run_xcodebuild.sh
diff --git a/samples/client/petstore/objc/core-data/SwaggerClientTests/run_xcodebuild.sh b/samples/client/petstore/objc/core-data/SwaggerClientTests/run_xcodebuild.sh
new file mode 100755
index 000000000000..128a0153aa05
--- /dev/null
+++ b/samples/client/petstore/objc/core-data/SwaggerClientTests/run_xcodebuild.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+pod install && xcodebuild clean build build-for-testing -workspace "SwaggerClient.xcworkspace" -scheme "SwaggerClient-Example" -destination "platform=iOS Simulator,name=iPhone 5s,OS=9.3" && xcodebuild test-without-building -workspace "SwaggerClient.xcworkspace" -scheme "SwaggerClient-Example" -destination "platform=iOS Simulator,name=iPhone 5s,OS=9.3" | xcpretty && exit ${PIPESTATUS[0]}
diff --git a/samples/client/petstore/objc/default/SwaggerClientTests/SwaggerClient.xcodeproj/project.pbxproj b/samples/client/petstore/objc/default/SwaggerClientTests/SwaggerClient.xcodeproj/project.pbxproj
index 1cf9ba5a2c33..a7eb97a8bcb9 100644
--- a/samples/client/petstore/objc/default/SwaggerClientTests/SwaggerClient.xcodeproj/project.pbxproj
+++ b/samples/client/petstore/objc/default/SwaggerClientTests/SwaggerClient.xcodeproj/project.pbxproj
@@ -380,7 +380,7 @@
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
- shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [[ $? != 0 ]] ; then\n cat << EOM\nerror: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\nEOM\n exit 1\nfi\n";
+ shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
showEnvVarsInLog = 0;
};
7B069562A9F91E498732474F /* [CP] Check Pods Manifest.lock */ = {
@@ -395,7 +395,7 @@
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
- shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [[ $? != 0 ]] ; then\n cat << EOM\nerror: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\nEOM\n exit 1\nfi\n";
+ shellScript = "diff \"${PODS_ROOT}/../Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
showEnvVarsInLog = 0;
};
DA8DD6AAE903F2CD38F2D9D5 /* Embed Pods Frameworks */ = {
diff --git a/samples/client/petstore/objc/default/SwaggerClientTests/pom.xml b/samples/client/petstore/objc/default/SwaggerClientTests/pom.xml
index a480547e0ae7..a2f239310a27 100644
--- a/samples/client/petstore/objc/default/SwaggerClientTests/pom.xml
+++ b/samples/client/petstore/objc/default/SwaggerClientTests/pom.xml
@@ -26,19 +26,6 @@
exec-maven-plugin
1.2.1
-
- install-pods
- pre-integration-test
-
- exec
-
-
- pod
-
- install
-
-
-
xcodebuild-test
integration-test
@@ -46,16 +33,7 @@
exec
- xcodebuild
-
- -workspace
- SwaggerClient.xcworkspace
- -scheme
- SwaggerClient-Example
- test
- -destination
- platform=iOS Simulator,name=iPhone 5s,OS=9.3
-
+ ./run_xcodebuild.sh
diff --git a/samples/client/petstore/objc/default/SwaggerClientTests/run_xcodebuild.sh b/samples/client/petstore/objc/default/SwaggerClientTests/run_xcodebuild.sh
new file mode 100755
index 000000000000..128a0153aa05
--- /dev/null
+++ b/samples/client/petstore/objc/default/SwaggerClientTests/run_xcodebuild.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+pod install && xcodebuild clean build build-for-testing -workspace "SwaggerClient.xcworkspace" -scheme "SwaggerClient-Example" -destination "platform=iOS Simulator,name=iPhone 5s,OS=9.3" && xcodebuild test-without-building -workspace "SwaggerClient.xcworkspace" -scheme "SwaggerClient-Example" -destination "platform=iOS Simulator,name=iPhone 5s,OS=9.3" | xcpretty && exit ${PIPESTATUS[0]}